summaryrefslogtreecommitdiffstats
path: root/source/a/util-linux
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/util-linux')
-rw-r--r--source/a/util-linux/bsdstrings.gcc14.diff12
-rwxr-xr-xsource/a/util-linux/util-linux.SlackBuild5
2 files changed, 15 insertions, 2 deletions
diff --git a/source/a/util-linux/bsdstrings.gcc14.diff b/source/a/util-linux/bsdstrings.gcc14.diff
new file mode 100644
index 000000000..32cffe03f
--- /dev/null
+++ b/source/a/util-linux/bsdstrings.gcc14.diff
@@ -0,0 +1,12 @@
+--- ./Makefile.orig 2000-05-09 16:18:53.000000000 -0500
++++ ./Makefile 2024-05-12 12:42:00.509961363 -0500
+@@ -1,7 +1,8 @@
+ CC = gcc
++CFLAGS = -O -Wno-error=implicit-function-declaration -Wno-error=implicit-int
+
+ strings: strings.o getopt.o
+- gcc -O -o strings strings.c getopt.c
++ gcc $(CFLAGS) -o strings strings.c getopt.c
+
+ clean:
+ rm -f a.out core *~ *.o strings
diff --git a/source/a/util-linux/util-linux.SlackBuild b/source/a/util-linux/util-linux.SlackBuild
index 767804a2f..130c7d50b 100755
--- a/source/a/util-linux/util-linux.SlackBuild
+++ b/source/a/util-linux/util-linux.SlackBuild
@@ -254,6 +254,7 @@ rm -rf bsdstrings
tar xvf $CWD/bsdstrings.tar.gz || exit 1
cd bsdstrings || exit 1
zcat $CWD/bsdstrings-util-linux_overflow.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/bsdstrings.gcc14.diff.gz | patch -p1 --verbose || exit 1
make || exit 1
strip strings
cat strings > $PKG/usr/bin/strings-BSD
@@ -286,7 +287,8 @@ chown -R root:root .
zcat $CWD/setserial-rc.serial.diff.gz | patch -E -p1 --verbose || exit 1
zcat $CWD/setserial-undef_TIOCGHAYESESP.diff.gz | patch -E -p1 --verbose || exit 1
# The original config.{guess,sub} do not work on x86_64
-cp -p /usr/share/libtool/config/config.{guess,sub} .
+cp -p /usr/share/libtool/build-aux/config.{guess,sub} .
+CFLAGS="$SLKCFLAGS -Wno-error=implicit-int -Wno-error=implicit-function-declaration" \
./configure --prefix=/usr || exit 1
make || exit 1
strip setserial
@@ -370,4 +372,3 @@ zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/util-linux-$VERSION-$ARCH-$BUILD.txz
-